org.apache.mina.service.client

## Class AbstractIoClient

- java.lang.Object
- - org.apache.mina.service.AbstractIoService
  - - org.apache.mina.service.client.AbstractIoClient

All Implemented Interfaces:
  IoClient, IoService

Direct Known Subclasses:
  AbstractTcpClient, AbstractUdpClient

    public abstract class AbstractIoClient
    extends AbstractIoService
    implements IoClient

TODO

Author:
  Apache MINA Project

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.mina.service.AbstractIoService

`AbstractIoService.ServiceState`

### Field Summary

### Fields inherited from class org.apache.mina.service.AbstractIoService

`config, ioHandlerExecutor`

### Constructor Summary

Constructors
`protected` `AbstractIoClient(IoHandlerExecutor eventExecutor)` Create an new AbstractIoClient instance

### Method Summary

### Methods inherited from class org.apache.mina.service.AbstractIoService

`fireServiceActivated, fireServiceInactivated, getFilters, getIoHandler, getIoHandlerExecutor, getManagedSessions, initState, isActive, isCreated, isDisposed, isDisposing, isSuspended, setActive, setCreated, setDisposed, setDisposing, setFilters, setIoHandler, setSuspended`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.mina.api.IoClient

`connect`

### Methods inherited from interface org.apache.mina.api.IoService

`getSessionConfig`

### Constructor Detail

#### AbstractIoClient

    protected AbstractIoClient(IoHandlerExecutor eventExecutor)

Create an new AbstractIoClient instance